﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using TMPro;

public class ChangeResistorValue : MonoBehaviour
{
    public Renderer renderFranja1;
    public Renderer renderFranja2;
    public Renderer renderFranja3;
    public Renderer renderFranja4;
    public Transform transformResistor;

    public TextMeshProUGUI txtResistorValue;

    int numFranja = 0;
    string txtFranja1 = "1";
    string txtFranja2 = "2";
    string txtFranja3 = "K Ohm";
    string txtfranja4 = " +/- 5%";

    int valueFranja3 = 0;

    Color[] colores = { new Color(0,0,0,1),                         //Negro
                        new Color(0.5019f,0.2519f,0,1),             //Cafe
                        new Color(1,0,0,1),                         //Rojo
                        new Color(1,0.5019f,0,1),                   //Naranja
                        new Color(1,1,0,1),                         //Amarillo
                        new Color(0.2039f,0.5647f,0.1882f,1),       //Verde
                        new Color(0,0,1,1),                         //Azul
                        new Color(0.5450f,0.1568f,0.5764f,1),       //Violeta
                        new Color(0.7921f,0.8f,0.8078f,1),          //Gris
                        new Color(2,2,2,1),                         //Blanco
                        new Color(0.9372f,0.7215f,0.0627f,1),       //Dorado
                        new Color(0.5411f,0.5843f,0.5921f,1)};      //Plateado

    
    public void setFranja(int franja)
    {
        numFranja = franja;
    }

    public void setColor(int color)
    {
       
        transformResistor.rotation = Quaternion.Euler(0, 260, 0);

        switch (numFranja)
        {
            case 1:
                renderFranja1.material.color = colores[color];
                if(color!=0)
                {
                    txtFranja1 = "" + color;
                }
                else
                {
                    txtFranja1 = "";
                }
                
                setTextResistorValue();
                break;
            case 2:
                renderFranja2.material.color = colores[color];
                txtFranja2 = "" + color;
                setTextResistorValue();
                break;
            case 3:
                renderFranja3.material.color = colores[color];
                valueFranja3 = color;
                setTextFranja3(color);
                setTextResistorValue();
                break;
            case 4:
                renderFranja4.material.color = colores[color];
                if (color == 10)
                {
                    txtfranja4 = " +/- 5%";
                }
                else
                {
                    txtfranja4 = " +/- 10%";
                }
                setTextResistorValue();
                break;
        }
    }

    public void setTextResistorValue()
    {
        if(valueFranja3==2 || valueFranja3==5 || valueFranja3==8)
        {
            txtResistorValue.text = txtFranja1 + "." + txtFranja2 + txtFranja3 + txtfranja4;
        }
        else
        {
            txtResistorValue.text = txtFranja1 + txtFranja2 + txtFranja3 + txtfranja4;
        }
    }

    public void setTextFranja3(int color)
    {
        switch(color)
        {
            case 0:
                txtFranja3 = " Ohm";
                break;
            case 1:
                txtFranja3 = "0 Ohm";
                break;
            case 2:
                txtFranja3 = "K Ohm";
                break;
            case 3:
                txtFranja3 = "K Ohm";
                break;
            case 4:
                txtFranja3 = "0K Ohm";
                break;
            case 5:
                txtFranja3 = "M Ohm";
                break;
            case 6:
                txtFranja3 = "M Ohm";
                break;
            case 7:
                txtFranja3 = "0M Ohm";
                break;
            case 8:
                txtFranja3 = "G Ohm";
                break;
            case 9:
                txtFranja3 = "G Ohm";
                break;
        }
    }
}
