﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using TMPro;

public class PlayAnimationMotor : MonoBehaviour
{
    public Transform transformMotor;
    public Animator animationMotor;
    public TextMeshProUGUI buttonText;
    public TextMeshProUGUI txtPart;
    public TextMeshProUGUI txtDescription;

    string namePart = "Motor";
    string descriptionMotor = "Dispositivo electromecánico que tiene como objetivo la conversión de energía eléctrica en energía mecánica representada por un movimiento rotativo de una de sus piezas, gracias a la interacción con un campo magnético.";


    public void playAnimation()
    {
        transformMotor.rotation = Quaternion.Euler(0f, 150f, 0f);
        transformMotor.position = new Vector3(-2.42f, 0.69f, -0.56f);

        if (buttonText.text=="Despiece del motor")
        {
            animationMotor.applyRootMotion = false;
            animationMotor.SetBool("playExploded", true);
            buttonText.text = "Armar motor";
        }
        else
        {
            animationMotor.SetBool("playExploded", false);
            buttonText.text = "Despiece del motor";
            txtPart.text = namePart;
            txtDescription.text = descriptionMotor;
            animationMotor.applyRootMotion = true;
        }
    }

}
