﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;
using TMPro;

public class SceneChangerToApplication : MonoBehaviour
{
    string Scene = "";
    public TextMeshProUGUI textButton;


    public void ChangeSceneToApplication()
    {
        Scene = textButton.text;

        switch(Scene)
        {
            case "Código de Colores":
                Scene = "Resistor";
                break;
            case "Carga del condensador":
                Scene = "Capacitor";
                break;
            case "Diodo Rectificador":
                Scene = "Diode";
                break;
            case "Display 7 Segmentos":
                Scene = "Display7Seg";
                break;
            case "Despiece Motor":
                Scene = "Motor";
                break;
        }
        
        SceneManager.LoadScene(Scene);  
    }

    public void ChangeBackScene(string nameScene)
    {
        SceneManager.LoadScene(nameScene);
    }
}
