﻿using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using TMPro;





public class showDescriptionsMotor : MonoBehaviour
{
    public TextMeshProUGUI txtDescription;
    public TextMeshProUGUI txtPart;
    public TextMeshProUGUI txtButton;


    private void OnMouseUpAsButton()
    {
        Dictionary<string, string> descriptionsParts = new Dictionary<string, string>();
        Dictionary<string, string> nameParts = new Dictionary<string, string>();

        descriptionsParts.Add("bushing", "Elementos mecánicos generalmente fabricados en bronce, permiten el libre giro del rotor y evitan el desgaste y perdida de energía. Adicionalmente sirven como puntos de apoyo al eje.");
        descriptionsParts.Add("contact", "Piezas metálicas, fabricadas generalmente en cobre, están conectados al embobinado y sirven como terminales externos del motor para conectar a una fuente de energía externa.");
        descriptionsParts.Add("cover", "Pieza que hace conjunto con la carcasa y tiene como función el sellar y proteger todos los componentes internos del motor.");
        descriptionsParts.Add("magnet", "Pieza fija que rodea al rotor, genera un campo magnético que interactúa con el generado por el bobinado del rotor. En algunos casos este estátor pueden ser imanes o en otros se componen de un segundo bobinado diferente al del rotor.");
        descriptionsParts.Add("spacer", "Pieza fija utilizada en motores que tiene imanes como estator para mantener los imanes separados y a una distancia adecuada para generar el campo magnetico");
        descriptionsParts.Add("conector", "Arrollamiento de alambre de cobre que se realiza alrededor del rotor. Su función es generar un campo magnético que interactúa con el campo magnético generado por el estátor y producen el giro del rotor.");
        descriptionsParts.Add("rotor", "Estructura mecánica móvil formada por laminas de acero montadas sobre un eje, es la parte central del motor y sobre él se realiza el embobinado del mismo. Gracias al efecto producido producido por el campo magnético generados por el embobinado y el estátor, se produce un giro sobre esta pieza.");
        descriptionsParts.Add("housing", "Pieza que tiene como función el alojar y proteger todos los componentes internos del motor.");

        nameParts.Add("bushing", "Cojinetes");
        nameParts.Add("contact", "Contactos");
        nameParts.Add("cover", "Tapa");
        nameParts.Add("magnet", "Estator");
        nameParts.Add("spacer", "Espaciador");
        nameParts.Add("conector", "Emboninado");
        nameParts.Add("rotor", "Rotor");
        nameParts.Add("housing", "Carcasa");

        if (txtButton.text=="Armar motor")
        {
            txtDescription.text = descriptionsParts[gameObject.tag];
            txtPart.text = nameParts[gameObject.tag];
        }
    }
    
    
}