﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using TMPro;

public class Change7Segment : MonoBehaviour
{
    public Renderer aSegment;
    public Renderer bSegment;
    public Renderer cSegment;
    public Renderer dSegment;
    public Renderer eSegment;
    public Renderer fSegment;
    public Renderer gSegment;
    public Renderer dotSegment;

    public TextMeshProUGUI txtButtonA;
    public TextMeshProUGUI txtButtonB;
    public TextMeshProUGUI txtButtonC;
    public TextMeshProUGUI txtButtonD;
    public TextMeshProUGUI txtButtonE;
    public TextMeshProUGUI txtButtonF;
    public TextMeshProUGUI txtButtonG;
    public TextMeshProUGUI txtButtonDot;

    public Transform transformDisplay;

    
    Color segmentOff = new Color(1, 1, 1, 1);
    Color segmentOn = new Color(1, 0, 0, 1);


    public void ChangeSegment(string segmento)
    {
        transformDisplay.rotation = Quaternion.Euler(113.16f, 88.930f, -115.97f);

        switch (segmento)
        {
            case "a":
                if (txtButtonA.text == "0")
                {
                    txtButtonA.text = "1";
                    txtButtonA.color = Color.red;
                    aSegment.material.color = segmentOn;
                }
                else
                {
                    txtButtonA.text = "0";
                    txtButtonA.color = Color.white;
                    aSegment.material.color = segmentOff;
                }
                break;
            case "b":
                if (txtButtonB.text == "0")
                {
                    txtButtonB.text = "1";
                    txtButtonB.color = Color.red;
                    bSegment.material.color = segmentOn;
                }
                else
                {
                    txtButtonB.text = "0";
                    txtButtonB.color = Color.white;
                    bSegment.material.color = segmentOff;
                }
                break;
            case "c":
                if (txtButtonC.text == "0")
                {
                    txtButtonC.text = "1";
                    txtButtonC.color = Color.red;
                    cSegment.material.color = segmentOn;
                }
                else
                {
                    txtButtonC.text = "0";
                    txtButtonC.color = Color.white;
                    cSegment.material.color = segmentOff;
                }
                break;
            case "d":
                if (txtButtonD.text == "0")
                {
                    txtButtonD.text = "1";
                    txtButtonD.color = Color.red;
                    dSegment.material.color = segmentOn;
                }
                else
                {
                    txtButtonD.text = "0";
                    txtButtonD.color = Color.white;
                    dSegment.material.color = segmentOff;
                }
                break;
            case "e":
                if (txtButtonE.text == "0")
                {
                    txtButtonE.text = "1";
                    txtButtonE.color = Color.red;
                    eSegment.material.color = segmentOn;
                }
                else
                {
                    txtButtonE.text = "0";
                    txtButtonE.color = Color.white;
                    eSegment.material.color = segmentOff;
                }
                break;
            case "f":
                if (txtButtonF.text == "0")
                {
                    txtButtonF.text = "1";
                    txtButtonF.color = Color.red;
                    fSegment.material.color = segmentOn;
                }
                else
                {
                    txtButtonF.text = "0";
                    txtButtonF.color = Color.white;
                    fSegment.material.color = segmentOff;
                }
                break;
            case "g":
                if (txtButtonG.text == "0")
                {
                    txtButtonG.text = "1";
                    txtButtonG.color = Color.red;
                    gSegment.material.color = segmentOn;
                }
                else
                {
                    txtButtonG.text = "0";
                    txtButtonG.color = Color.white;
                    gSegment.material.color = segmentOff;
                }
                break;
            case "dot":
                if (txtButtonDot.text == "0")
                {
                    txtButtonDot.text = "1";
                    txtButtonDot.color = Color.red;
                    dotSegment.material.color = segmentOn;
                }
                else
                {
                    txtButtonDot.text = "0";
                    txtButtonDot.color = Color.white;
                    dotSegment.material.color = segmentOff;
                }
                break;
        }
    }
}
