﻿using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;


public class RotateComponent : MonoBehaviour
{
    float speed = 200.0f;
    float xOld = 0.0f;
    float xNew = 0.0f;
    float xDif = 0.0f;
    float yOld = 0.0f;
    float yNew = 0.0f;
    float yDif = 0.0f;

    // Update is called once per frame
    void Update()
    {
        Vector3 mousePos = Input.mousePosition;

        xOld = xNew;
        xNew = mousePos.x;
        xDif = xNew - xOld;
        
        yOld = yNew;
        yNew = mousePos.y;
        yDif = yNew - yOld;

            if (xDif != 0 || yDif != 0)
            {
                if (Math.Abs(xDif) > Math.Abs(yDif))
                {
                rotateObjectX();
            }
                else
                {
                rotateObjectY();
                }
            }
    }

    void rotateObjectY()
    {
        if (gameObject.CompareTag("diode"))
        {
            if (yDif > 0)
            {
                transform.Rotate(Vector3.forward * -speed * Time.deltaTime);
            }
            else
            {
                transform.Rotate(Vector3.forward * speed * Time.deltaTime);
            }
        }
        else
        {
            if (yDif > 0)
            {
                transform.Rotate(Vector3.left * -speed * Time.deltaTime);
            }
            else
            {
                transform.Rotate(Vector3.left * speed * Time.deltaTime);
            }
        }
    }

    
    void rotateObjectX()
    {
        
        if (gameObject.CompareTag("capacitor"))
        {
            if (xDif > 0)
            {
                transform.Rotate(Vector3.forward * -speed * Time.deltaTime);
            }
            else
            {
                transform.Rotate(Vector3.forward * speed * Time.deltaTime);
            }
        }
        else
        {
            if (xDif > 0)
            {
                transform.Rotate(Vector3.up * -speed * Time.deltaTime);

            }
            else
            {
                transform.Rotate(Vector3.up * speed * Time.deltaTime);
            }
        }

    }
}
