﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class SceneChanger : MonoBehaviour
{
    IEnumerator LoadIndicator(string sceneName)
    {
        Handheld.SetActivityIndicatorStyle(AndroidActivityIndicatorStyle.Large);

        Handheld.StartActivityIndicator();
        yield return new WaitForSeconds(0);
        SceneManager.LoadScene(sceneName);

    }

    public void ChangeSceneTo(string sceneName)
    {
        StartCoroutine(LoadIndicator(sceneName));
    }
    
    
}
