﻿using System.Collections;
using System.Collections.Generic;
using TMPro;
using UnityEngine;
using UnityEngine.UI;


public class ShowMenu : MonoBehaviour
{
    string[] messageButton = { "Código de Colores", "Carga del condensador", "Diodo Rectificador", "Display 7 Segmentos", "Despiece Motor" };

    public MeshRenderer ResistorRenderer;
    public MeshRenderer CapacitorRenderer;
    public MeshRenderer Capacitor2Renderer;
    public MeshRenderer DiodeRenderer;
    public MeshRenderer DisplayRenderer;
    public MeshRenderer Display2Renderer;
    public MeshRenderer Display3Renderer;
    public MeshRenderer MotorRenderer;


    public Canvas GUI;
    public TextMeshProUGUI ButtonText;
    

    // Update is called once per frame
    void Update()
    {
        if (ResistorRenderer.isVisible)
        {
            displayMenu(0);
        }
        else if (CapacitorRenderer.isVisible || Capacitor2Renderer.isVisible)
        {
            displayMenu(1);
        }
        else if (DiodeRenderer.isVisible)
        {
            displayMenu(2);
        }
        else if (DisplayRenderer.isVisible || Display2Renderer.isVisible || Display3Renderer.isVisible)
        {
            displayMenu(3);
        }
        else if (MotorRenderer.isVisible)
        {
            displayMenu(4);
        }
        else
        {
            GUI.enabled = false;
        }

    }

    void displayMenu(int opcion)
    {
        GUI.enabled = true;
        ButtonText.text = messageButton[opcion];
    }
}
